<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
	xmlns:p="http://www.springframework.org/schema/p" xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
		http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd">

	<bean id="transformationTemplate" class="org.springframework.core.io.ClassPathResource">
		<constructor-arg value="${services.transformation.defaulttemplate}" />
	</bean>

	<bean id="defaultSchema" class="org.springframework.core.io.ClassPathResource">
		<constructor-arg value="${services.transformation.defaultschema}" />
	</bean>
	
	<bean id="blacklistApi" class="org.springframework.core.io.UrlResource">
		<constructor-arg value="${services.transformation.blacklist_api}" />
	</bean>
	
	<bean id="transformationRuleProfileUtil"
		class="eu.dnetlib.data.collective.transformation.utils.TransformationRulesImportTool"
		p:lookupServiceLocator-ref="lookupLocator" />

<!-- <bean id="resourceDaoSupport" class="eu.dnetlib.common.profile.ResourceDaoRemoteSupport"
		p:lookupLocator-ref="lookupLocator" p:registryLocator-ref="registryLocator" />
-->		
	<bean id="resourceDaoSupport" class="eu.dnetlib.common.profile.ResourceCache"
		p:lookupLocator-ref="lookupLocator" />

	<bean id="resourceDao" class="eu.dnetlib.common.profile.ResourceDao"
		p:daoSupport-ref="resourceDaoSupport">
	</bean>

	<bean id="vocabularyRegistry"
		class="eu.dnetlib.data.collective.transformation.VocabularyRegistry"
		p:vocabularies="${services.transformation.vocabularyproperties.json}" />

	<bean class="org.springframework.beans.factory.config.CustomEditorConfigurer">
		<property name="customEditors">
			<map>
				<entry key="eu.dnetlib.data.collective.transformation.VocabularyMap"
					value="eu.dnetlib.data.collective.transformation.VocabularyTypeEditor">
				</entry>
			</map>
		</property>
	</bean>

</beans>
